ZIP_SET_ARCHIVE_FLAG(3) | Library Functions Manual | ZIP_SET_ARCHIVE_FLAG(3)

# NAME

`zip_set_archive_flag` —
set zip archive flag

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_set_archive_flag`(zip_t *archive, zip_flags_t flag, int value);

# DESCRIPTION

The `zip_set_archive_flag`() function sets the flag flag for the archive archive to the value value.

Currently there are no supported flags.

# RETURN VALUES

Upon successful completion 0 is returned, and -1 if an error occurred.

# SEE ALSO

libzip(3), zip_get_archive_flag(3)

# HISTORY

`zip_set_archive_flag`() was added in libzip 0.9. In libzip 0.11 the type of flag was changed from int to zip_flags_t.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35